{
  lib, stdenv
, fetchFromGitHub
, wayfire, wf-config, librsvg, boost, wlroots, pango, wayland, libxkbcommon, systemd, libinput
, meson, pkg-config, cmake, ninja
}:

stdenv.mkDerivation {
  pname = "firedecor";
  version = "20220519";

  src = fetchFromGitHub {
    owner = "AhoyISki";
    repo = "Firedecor";
    rev = "0170c4df209f0226295a9e2aa3cae782d9861908";
    sha256 = "0a8vc4l3az14l8piwzqgfqsdv16kakcvcznvw6q1dgb2sf97zdlv";
  };

  nativeBuildInputs = [ meson pkg-config cmake ninja ];

  buildInputs = [ wayfire librsvg boost wf-config wlroots pango wayland libxkbcommon systemd libinput ];

  patchPhase = ''
    sed -e "s|wayfire.get_variable(pkgconfig: 'plugindir')|'$out/usr/lib/wayfire'|" --in-place src/meson.build
    sed -e "s|wayfire.get_variable(pkgconfig: 'metadatadir')|'$out/usr/lib/wayfire'|" --in-place metadata/meson.build
  '';
}
